<?php
/* 
 * Plugin Name:   RSS Poster PRO Version
 * Version:       0.8.8
 * Plugin URI:    http://www.persianscript.ir
 * Description:   RSS Poster
 * Author:        Jesse
 * Author URI:    http://www.persianscript.ir
 */
if ( ! defined( 'ABSPATH' ) ) exit();	// sanity check

define('RPURDIR', dirname(__FILE__) . '/');               
define('RPURINC', RPURDIR . 'inc/');
define('RPUR_URL_ROOT', get_option('siteurl') . '/wp-content/plugins/'.plugin_basename(dirname(__FILE__)).'/');
define('RPUR_CACHE', 'cache/');  
define('RPUR_PROCESS_FEED_FILE', RPUR_URL_ROOT . 'processFeed.php');
define('RPUR_VERSION','0.8.8');
require_once(RPURDIR.'RSSPoster.php');
require_once(RPURDIR.'rewriter.php');
require_once(RPURDIR.'feed.php');
require_once(RPURDIR.'log.php');
require_once(RPURDIR.'export.php');
require_once(RPURDIR.'import.php');
require_once(RPURDIR.'misc.php');
@require_once(RPURINC.'dict.php');

wp_enqueue_script(
        	'RSSPOSTERPROTOOL', 
           RPUR_URL_ROOT . 'js/functions.js',
            array('jquery')
);
register_activation_hook(__FILE__, 'rpur_activate');

//register_deactivation_hook(__FILE__, 'rpur_uninstall');

add_action('admin_menu', 'rpur_add_menu_pages');
add_action( 'admin_notices',  'rpur_admin_notices' );
function rpur_admin_notices(){
	$rpur_options = get_option('rpur_options');
	
	if($rpur_options['version'] !== RPUR_VERSION ){
		echo '<div id="notice" class="updated fade"><p>';
				printf( '<b>RSS Poster PRO Version:</b> <p>Word limit feature added.</p><p>Display article source option added.</p><p>This version doesn\'t need to Reinstall!</p>' );
		echo '</p></div>', "\n";
		$rpur_options['version']= RPUR_VERSION;
		update_option('rpur_options',$rpur_options);
	}

}
function rpur_add_menu_pages(){
		
		
		add_menu_page('RSS Poster PRO', 'RSS Poster PRO', 8,'rpur_feed_page',  'rpur_feed_page');
			add_submenu_page('rpur_feed_page', 'Settings', 'Settings', 8,'rpur_feed_page',  'rpur_feed_page');
			add_submenu_page('rpur_feed_page', 'Export', 'Export', 8, 'rpur_export_page', 'rpur_export_page');
			add_submenu_page('rpur_feed_page', 'Import', 'Import', 8,'rpur_import_page',  'rpur_import_page');
			add_submenu_page('rpur_feed_page', 'Rewriter', 'Rewriter', 8,'rpur_rewriter_page',  'rpur_rewriter_page');
			add_submenu_page('rpur_feed_page', 'Misc', 'Misc', 8, 'rpur_misc_page', 'rpur_misc_page');
			add_submenu_page('rpur_feed_page', 'Log', 'Log', 8, 'rpur_log_page', 'rpur_log_page');
			
			
			
			
			

		
}

function rpur_activate() {
		
		global $wpdb;
		$db = array( 
			'feed' => $wpdb->prefix . "rpur_feed", 
			'post' => $wpdb->prefix . "rpur_post", 
			'log' => $wpdb->prefix . "rpur_log"
		);
		$custom_template='Article source: <a href="%SOURCE_URL%">%SOURCE_URL%</a>';

		$rpur_options = get_option('rpur_options');
		
		if(!$rpur_options){
			$rpur_options['display_article_source'] = false;
			$rpur_options['word_limit']=0;
			$rpur_options['include']='';
			$rpur_options['exclude']='';
			$rpur_options['lastactive']=0;
			$rpur_options['db']=$db;
			$rpur_options['dont_rewrite']="blah1\nblah2\nblah3";
			$rpur_options['cache_image']=true;
			$rpur_options['enable_cron_job']=false;
			$rpur_options['frequency']=3;
			$rpur_options['cron_code'] = substr(md5(time()), 0, 8);
			$rpur_options['cron_url'] = RPUR_URL_ROOT. 'cron.php?code=' .$rpur_options['cron_code'];
			$rpur_options['custom_template']=$custom_template;
			$rpur_options['remove_pairs'] = '<div id="crp_related">(.*)</div>';
			
			add_option('rpur_options',$rpur_options);
		}

		

		
   		if(!isset($rpur_options['version'])) {
				
				rpur_install();
				$rpur_options['version']= RPUR_VERSION;
				update_option('rpur_options',$rpur_options);

		}
		
		
}
	
	
function rpur_install(){
		
		$rpur_options = get_option('rpur_options');
		

		require_once(ABSPATH . '/wp-admin/includes/upgrade.php');
			

		dbDelta( "CREATE TABLE {$rpur_options['db']['feed']} (
							    id int(11) unsigned NOT NULL auto_increment,
							    name varchar(255) NOT NULL default '',
							    url varchar(255) NOT NULL default '',
							    tags varchar(255) default '',
							    category varchar(255) NOT NULL default '',
							    frequency int(11) NOT NULL default '86400',
							    lastactive varchar(255) NOT NULL default '',
							    max_items int(11) default '3',
							    rewrite char(3) NOT NULL default 'Yes',
							    post_status char(10) NOT NULL default 'publish',
 							    post_interval int(11) default '0',
							    author int(3) default '1',								
							    PRIMARY KEY (id)
		);" ); 

		dbDelta(  "CREATE TABLE IF NOT EXISTS {$rpur_options['db']['post']} (
		    				    	  id int(11) unsigned NOT NULL auto_increment,
		    					  hash varchar(255) default '',	    
		    					  PRIMARY KEY  (id)
    		);" );

		dbDelta(  "CREATE TABLE {$rpur_options['db']['log']} (
  						          id int(11) unsigned NOT NULL auto_increment,
  							  message mediumtext NOT NULL default '',
  							  created_on datetime NOT NULL default '0000-00-00 00:00:00',
  							  PRIMARY KEY  (id)
  		 );" );
		
			
						      
       
		
		


}

	
function rpur_uninstall(){
		
	global $wpdb;
	$rpur_options = get_option('rpur_options');
	
	$db=$rpur_options['db'];
	
	$wpdb->query("DROP TABLE {$db['log']} ");

	$wpdb->query("DROP TABLE {$db['feed']} ");
	//uncomment it
	//$wpdb->query("DROP TABLE {$db['post']} ");
    	delete_option('rpur_options');
			
       	
    
}
function rpur_reinstall(){
		
	rpur_uninstall();
	rpur_activate();
       	rpur_install();
	
    
}     

?>
